> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Users

> Retrieve all users that have been created under your account, with support for pagination.



## OpenAPI

````yaml get /user/
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /user/:
    get:
      tags:
        - user
      summary: Get All Users
      description: >-
        Retrieve all users that have been created under your account, with
        support for pagination.
      operationId: getAllUsers
      parameters:
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Number of results per page (max 1000)
            default: 50
            title: Page Size
          description: Number of results per page (max 1000)
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number to retrieve (starting from 1)
            default: 1
            title: Page Number
          description: Page number to retrieve (starting from 1)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllUsersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetAllUsersResponse:
      properties:
        users:
          items:
            $ref: '#/components/schemas/UserInfo'
          type: array
          title: Users
          description: List of users
        totalCount:
          type: integer
          title: Totalcount
          description: Total number of users across all pages
        page:
          type: integer
          title: Page
          description: Current page number
        pageSize:
          type: integer
          title: Pagesize
          description: Number of results per page
        totalPages:
          type: integer
          title: Totalpages
          description: Total number of pages
      type: object
      required:
        - users
        - totalCount
        - page
        - pageSize
        - totalPages
      title: GetAllUsersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserInfo:
      properties:
        userId:
          type: string
          title: Userid
          description: The external user ID
        createdAt:
          type: string
          title: Createdat
          description: The timestamp when the user was created
      type: object
      required:
        - userId
        - createdAt
      title: UserInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````